payments.transferStarGift
Transfer a collectible gift to another user or channel: can only be used if transfer is free (i.e. RawMessageActionStarGiftUnique.transfer_stars is not set); see here » for more info on the full flow (including the different flow to use in case the transfer isn't free).
Authorization
bearerAuth In: header
Path Parameters
Workspace ID
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Transfer a collectible gift to another user or channel: can only be used if transfer is free (i.e. RawMessageActionStarGiftUnique.transfer_stars is not set); see here » for more info on the full flow (including the different flow to use in case the transfer isn't free).
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/payments.transferStarGift" \ -H "Content-Type: application/json" \ -d '{ "params": { "stargift": { "_": "inputSavedStarGiftUser", "msgId": 0 }, "toId": { "_": "inputPeerEmpty" } } }'{ "result": { "_": "updatesTooLong" }}toggleStarGiftsPinnedToTop
Pins a received gift on top of the profile of the user or owned channels by using `payments.RawToggleStarGiftsPinnedToTopRequest`.
updateStarGiftCollection
Add or remove gifts from a [star gift collection »](https://core.telegram.org/api/gifts#gift-collections), or rename the collection.